local revision = tonumber(string.sub("$Revision: 30 $", 12, -3))
local rss = _G.RShamanStat
if rss.revision < revision then rss.revision = revision end

-- Spell IDs
rss.ANCESTRAL_AWAKENING = 52752        -- the heal from AA
rss.ANCESTRAL_GUIDANCE = 114911        -- heal copy from AG
rss.CHAIN_HEAL = 1064
rss.CLEANSING_WATERS = 55562		   -- heal from glyphed Purify Spirit
rss.EARTH_SHIELD = 379                 -- the heal from Earth Shield
rss.EARTHLIVING = 51945                -- the heal from Earthliving
rss.FLAMES_OF_LIFE = 137808            -- heal from glyphed Flame Shock
rss.GIFT_OF_THE_NAARU = 59547          -- spacegoat racial
rss.GLYPH_OF_HEALING_WAVE = 55533      -- heal copy from Healing Wave
rss.GREATER_HEALING_WAVE = 77472
rss.HEALING_RAIN = 73921               -- the heal from Healing Rain
rss.HEALING_STREAM = 52042             -- the actual heal applied by HST
rss.HEALING_STREAM_2T15 = 138304       -- the 'bonus' heal applied by HST with the T15 set bonus
rss.HEALING_SURGE = 8004
rss.HEALING_TIDE = 114942              -- the actual heal applied by HTT
rss.HEALING_WAVE = 331
rss.PROC_RESTORATION_INFINITE = 139195 -- Lei Shen trinket proc
rss.RESTORATIVE_MISTS = 114083         -- heal copy from Ascendance
rss.RESURGENCE = 101033                -- Mana Gains are logged under combatEvent SPELL_ENERGIZE
rss.RIPTIDE = 61295
rss.SPIRIT_LINK = 98021          	   -- the actual heal applied by SLT
rss.UNLEASH_LIFE = 73685
-- Casts that do not actually heal
rss.FLAME_SHOCK = 8050			       -- the damaging spell
rss.SUMMON_HEALING_RAIN = 73920        -- the spell which casts Healing Rain
rss.SUMMON_HEALING_STREAM = 5394       -- the spell which summons HST
rss.SUMMON_HEALING_TIDE = 108280       -- the spell which summons HTT
rss.SUMMON_SPIRIT_LINK = 98008         -- the spell which summons SLT

-- Consumables
rss.HEALTHSTONE = 6262                 -- Warlock cookie
rss.HEAVY_WINDWOOL_BANDAGE = 102695
rss.MASTER_HEALING_POTION = 105708
rss.WINDWOOL_BANDAGE = 102694
rss.CONSUMABLES = { HEALTHSTONE , WINDWOOL_BANDAGE, HEAVY_WINDWOOL_BANDAGE, MASTER_HEALING_POTION } -- unaffected by Spellpower or Mastery
rss.BANDAGES = { WINDWOOL_BANDAGE , HEAVY_WINDWOOL_BANDAGE }                                        -- cannot crit

-- Spell schools
rss.SCHOOL_FIRE = 3
rss.SCHOOL_NATURE = 4

-- Spell Descriptors

rss.SPELLS =
{
	[rss.ANCESTRAL_AWAKENING] = { copy = 0.3 },
	[rss.ANCESTRAL_GUIDANCE] = { copy = 0.6 },
	[rss.CHAIN_HEAL] = { ["SPELL_HEAL"] = { 7086, 8094, 0.6876 } , resurgence = 8849*0.333 },
	[rss.CLEANSING_WATERS] = { noInt = true , noAG = true },
	[rss.EARTH_SHIELD] = { ["SPELL_HEAL"] = { 2043, 2043, 0.13 } },
	[rss.EARTHLIVING] = { ["SPELL_PERIODIC_HEAL"] = { 4376, 4376, 0.3984 } },
	[rss.FLAMES_OF_LIFE] = { school = rss.SCHOOL_FIRE, noMastery = true, noAG = true,
							["SPELL_DAMAGE"] = { 1086, 1086, 0.449 } , ["SPELL_PERIODIC_DAMAGE"] = { 2910, 2910, 2.10 } },
	[rss.GIFT_OF_THE_NAARU] = { noInt = true, noMastery = true },
	[rss.GLYPH_OF_HEALING_WAVE] = { copy = 0.2 , noAG = true },
	[rss.GREATER_HEALING_WAVE] = { ["SPELL_HEAL"] = { 14172, 16190, 1.377 } , aaTrigger = true, resurgence = 8849*0.6 },
	[rss.HEALING_RAIN] = { ["SPELL_HEAL"] = { 2380, 2829, 0.2364 } },
	[rss.HEALING_STREAM] = { ["SPELL_PERIODIC_HEAL"] = { 0, 0, 0.44 } },
	[rss.HEALING_STREAM_2T15] = { ["SPELL_PERIODIC_HEAL"] = { 0, 0, 0.11 } },
	[rss.HEALING_SURGE] = { ["SPELL_HEAL"] = { 11687, 13351, 1.135 }, aaTrigger = true, resurgence = 8849 },
	[rss.HEALING_TIDE] = { ["SPELL_HEAL"] = { 4932, 4932, 0.484 } },
	[rss.HEALING_WAVE] = { ["SPELL_HEAL"] = { 7790, 8899, 0.756 } , aaTrigger = true, resurgence = 8849 },
	[rss.PROC_RESTORATION_INFINITE] = { noMastery = true , ["SPELL_HEAL"] = { 0, 0, 1.25 } },
	[rss.RESTORATIVE_MISTS] = { copy = 1.0 },
	[rss.RIPTIDE] = { ["SPELL_HEAL"] = { 3735, 3735, 0.339 } , ["SPELL_PERIODIC_HEAL"] = { 10584, 10584, 0.96 } , 
					aaTrigger = true, resurgence = 8849*0.6 },
	[rss.SPIRIT_LINK] = { noMastery = true, noInt = true, noCrit = true , noAG = true },
	[rss.UNLEASH_LIFE] = { ["SPELL_HEAL"] = { 3028, 3280, 0.286 } , resurgence = 8849*0.6 },
}

-- Buffs/Auras

rss.AURA_TIDAL_WAVES = 53390
rss.AURA_ASCENDANCE = 114052
rss.AURA_ANCESTRAL_GUIDANCE = 108281
rss.AURA_EARTH_SHIELD = 974          

-- Stat conversion constants

rss.CRITICAL_MULTIPLIER = 2.00
rss.INT_TO_CRIT = 2533.66			-- Intellect to Crit%
rss.RATING_TO_CRIT = 600.0			-- Crit Rating to Crit%
rss.RATING_TO_MASTERY = 200.0		-- Mastery Rating to Mastery%

-- Items

-- Gems that increase critical effect; only MoP gems that could be sensibly used by healers are included
rss.BURNING_PRIMAL_DIAMOND = 76885
rss.REVITALIZING_PRIMAL_DIAMOND = 76888
rss.CRITICAL_BONUS_GEMS = { BURNING_PRIMAL_DIAMOND, REVITALIZING_PRIMAL_DIAMOND }

-- T15 tier pieces 
rss.SET_BONUS_T15 = { ["ChestSlot"] = { 95940 , 95310 , 96684 } , 
					  ["HandsSlot"] = { 95941 , 95311 , 96685 } , 
					  ["HeadSlot"] = { 95942 , 95312 , 96686 } ,
					  ["LegsSlot"] = { 95943 , 95313 , 96687 } , 
					  ["ShoulderSlot"] = { 95944 , 95314 , 96688 } }
					
-- Lei-Shen trinket
rss.LIGHTNING_IMBUED_CHALICE = { ["Trinket0Slot"] = { 95817, 94530, 96189, 96561, 96933 } ,
                                 ["Trinket1Slot"] = { 95817, 94530, 96189, 96561, 96933 } }

rss.CHALICE_BASE_HEAL =
{
	[502] = 46561,
	[506] = 48329,
	[510] = 50164,
	[522] = 56071,
	[526] = 58200,
	[528] = 56286,
	[530] = 60410,
	[532] = 58423,
	[535] = 63294,
	[536] = 60641,
	[539] = 65697,
	[541] = 63534,
	[543] = 68192,
	[545] = 65946,
	[549] = 68450
}
